<?php
/*
 /////////////////// DISCLAIMER ///////////////////////////
 THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ////////////////////////////////////////////////////////////
 */

//Print all errors
error_reporting(E_ALL);
ini_set("display_errors", 1);

//Includ the braintree library
require_once 'braintree-php-4.2.0/lib/Braintree.php';

//Configure the gateway using merchant credentials
//https://developers.braintreepayments.com/start/hello-server/php
Braintree_Configuration::environment('sandbox');
Braintree_Configuration::merchantId('4kqzx9mqxbck8647');
Braintree_Configuration::publicKey('byd22sz9t4jhzzrq');
Braintree_Configuration::privateKey('cf035245a01dd564c1dac02f505e2ae6');

//Get the nonce from the POST
$nonceFromTheClient = $_POST["payment_method_nonce"];
//echo "Nonce is : " . $nonceFromTheClient;

//Make 3d secure fail for testing purposes
//$nonceFromTheClient = 'fake-three-d-secure-visa-failed-signature-nonce';

//Set and execute the payment and get the result
 $result = Braintree_Transaction::sale([
		'amount' => '10.00',
		'paymentMethodNonce' => $nonceFromTheClient,
		'options' => [
				'submitForSettlement' => True
		]
]);


//encode the response to JSON
$jsonObj = json_encode($result);

//Print the result
echo $jsonObj;
 
// echo "<pre>";
// print_r($result);
// echo "</pre>"; 